package com.knauf.ejb.kuchen;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Remote-Interface der Kuchen-Bean.
 * Enthlt nur die Methoden zum Setzen der Properties.
 * 
 * @author  Wolfgang Knauf
 */

public interface KuchenSingle extends EJBObject
{
  /**Abrufen des Kuchen-Namens.
   * @exception RemoteException Bei Netzwerkfehlern.
   */
  public String getName() throws RemoteException;

  /**Setzen des Kuchen-Namens.
   * @param str_Name Neuer Name.
   * @exception RemoteException Bei Netzwerkfehlern.
   */
  public void setName(String str_Name) throws RemoteException;
}